package com.eversec.dbq.qtask;

import com.eversec.dbq.E;

public class QTaskMysql extends QTaskAbs implements QTask {

    private Object mapper;

    public QTaskMysql(E e) {
        super(e);
    }

    public String getSQL(){
        String sql = getE().para.get("sql")+"";
        return sql;
    }

    @Override
    public Object execute() {
        if ("Map".equalsIgnoreCase(getE().queryType)){
            // return mapper.findFirst(getSQL()); todo:
        } else if ("list".equalsIgnoreCase(getE().queryType)){
            // return mapper.findList(getSQL()); todo:
        }
        return null;
    }
}
